CRYPTO_AHASH_REQSIZE(9)

NAME
crypto_ahash_reqsize - obtain size of the request data structure

SYNOPSIS

unsigned int crypto_ahash_reqsize(struct crypto_ahash * tfm);

ARGUMENTS

tfm
    cipher handle

DESCRIPTION

Return the size of the ahash state size. With the crypto_ahash_export function, the caller can export the state into a buffer whose size is defined with this function.

RETURN

size of the ahash state

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT